ACL_ADD_FLAG_NP(3)

NAME
acl_add_flag_np - add flags to an flag set

LIBRARY
libc

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
int
acl_add_flag_np(acl_flagset_t flagset_d, acl_flag_t flag);

DESCRIPTION
The acl_add_flag_np() function is a nonstandard extension that adds the flag contained in flag to the flag set flagset_d.

Note: it is not considered an error to attempt to add flags that already exist in the flag set.

RETURN VALUES

ERRORS
The acl_add_flags_np() function fails if:

[EINVAL]
    Argument flagset_d is not a valid descriptor for a flag set. Argument flag does not contain an acl_flag_t value valid for the flagset flagset_d.

SEE ALSO
acl(3), acl_clear_entry_flagset_np(3), acl_delete_entry_flag_np(3), acl_get_entry_flagset_np(3), acl_set_entry_permset_np(3), posix1e(3)

AUTHORS
Michael Smith Chris D Fulhaber